godo.AgentPlatform.UpdateKnowledgeBase()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.AgentPlatform.UpdateKnowledgeBase(ctx context.Context, knowledgeBaseID string, update *godo.UpdateKnowledgeBaseRequest) (*godo.KnowledgeBase, *godo.Response, error)Description
Update a knowledge base
This method sends a PUT request to /v2/gen-ai/knowledge_bases/{}.
Parameters
knowledgeBaseIDstring requiredupdate*godo.UpdateKnowledgeBaseRequest required
Fields of godo.UpdateKnowledgeBaseRequest
DatabaseIDstringEmbeddingModelUuidstringNamestringProjectIDstringTags[]stringKnowledgeBaseUUIDstring
Returns
- *godo.KnowledgeBase
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.KnowledgeBase
KnowledgeBase represents an Agent Platform Knowledge Base
AddedToAgentAt*godo.TimestampCreatedAt*godo.TimestampDatabaseIdstringEmbeddingModelUuidstringIsPublicboolLastIndexingJob*godo.LastIndexingJobNamestringProjectIdstringRegionstringTags[]stringUpdatedAt*godo.TimestampUserIdstringUuidstringIsDeletedbool
Request Sample
More Information
See PUT /v2/gen-ai/knowledge_bases/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.